%define major_version 2.4
%define libsoup_version_required 2.2.0
%define eds_version_required 1.4.0

Name:		evolution-webcal
Summary:	Webcal integration for Evolution
Version: 2.10.0
Release:	%mkrel 1
License: 	GPL
Group:		Networking/Mail
Source0: 	ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/%{name}-%{version}.tar.bz2

URL: 		http://www.ximian.com/products/ximian_evolution/
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

BuildRequires: evolution-data-server-devel >= %{eds_version_required}
BuildRequires: libsoup-devel >= %{libsoup_version_required}
Buildrequires: libgnomeui2-devel
BuildRequires: perl-XML-Parser
Requires: evolution

%description
This package registers "webcal:" URI type to use Evolution.

%prep
%setup -q

%build

%configure2_5x 

%make

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%makeinstall_std

%{find_lang} %{name}

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%define schemas evolution-webcal

%post
%post_install_gconf_schemas %{schemas}

%preun
%preun_uninstall_gconf_schemas %{schemas}

%files -f %{name}.lang
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog 
%{_sysconfdir}/gconf/schemas/*
%{_libexecdir}/evolution-webcal


%changelog
* Tue Mar 13 2007 Götz Waschk <waschk@mandriva.org> 2.10.0-1mdv2007.1
+ Revision: 143214
- new version

* Tue Feb 27 2007 Götz Waschk <waschk@mandriva.org> 2.9.92-1mdv2007.1
+ Revision: 126792
- new version

* Tue Feb 13 2007 Götz Waschk <waschk@mandriva.org> 2.9.91-1mdv2007.1
+ Revision: 120271
- new version

* Tue Jan 09 2007 Götz Waschk <waschk@mandriva.org> 2.9.5-1mdv2007.0
+ Revision: 106548
- new version

* Thu Nov 30 2006 Götz Waschk <waschk@mandriva.org> 2.8.0-2mdv2007.1
+ Revision: 89285
- Import evolution-webcal



* Thu Nov 30 2006 Götz Waschk <waschk@mandriva.org> 2.8.0-2mdv2007.1
- depend on evolution

* Tue Sep 05 2006 Frederic Crozat <fcrozat@mandriva.com> 2.8.0-1mdv2007.0
- Release 2.8.0

* Thu Jun 22 2006 Frederic Crozat <fcrozat@mandriva.com> 2.7.1-1mdv2007.0
- Release 2.7.1
- use new macros

* Wed Apr 26 2006 Frederic Crozat <fcrozat@mandriva.com> 2.6.0-1mdk
- Release 2.6.0

* Mon Apr 24 2006 Frederic Crozat <fcrozat@mandriva.com> 2.5.90-1mdk
- Release 2.5.90

* Wed Jan 04 2006 Frederic Crozat <fcrozat@mandriva.com> 2.4.1-2mdk
- Rebuild
- use mkrel

* Fri Oct 07 2005 Frederic Crozat <fcrozat@mandriva.com> 2.4.1-1mdk
- Release 2.4.1

* Mon Jul 04 2005 Frederic Crozat <fcrozat@mandriva.com> 2.2.1-1mdk 
- Release 2.2.1

* Tue Oct 19 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.1-1mdk
- New release 2.0.1

* Wed Sep 29 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.0-2mdk
- Fix buildrequires

* Tue Sep 14 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.0-1mdk
- Release 2.0.0

* Fri Aug 27 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.9-2mdk
- Rebuild with latest libsoup

* Thu Aug 19 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.9-1mdk
- Release 1.0.9

* Tue Aug 03 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.8-1mdk
- Release 1.0.8

* Tue Jul 20 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.7-1mdk
- New release 1.0.7

* Mon Jul  5 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.6-1mdk
- New release 1.0.6

* Tue Jun 08 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.5-1mdk
- Release 1.0.5

* Tue May  4 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.4-1mdk
- New release 1.0.4
- Remove patch0 (merged upstream)

* Wed Apr 21 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.3-1mdk
- Initial Mandrakelinux package
- Patch0: fix libexec directory
